Subject: 30.0.50; Should 'flymake-note-echo' inherit from 'compilation-info'?

From: Jim Porter <[email-masked]>
Date: Sat, 16 Sep 2023 21:42:14 -0700

X-Debbugs-Cc: [email-masked]

The faces 'flymake-error-echo' and 'flymake-warning-echo' inherit from 
'compilation-error' and 'compilation-warning', respectively. However, 
'flymake-note-echo' (and 'flymake-note-echo-at-eol') inherit from 
'flymake-note'.

This results in some odd visuals in "emacs -Q" (and any theme that uses 
similar styling): Flymake errors and warnings in the mode-line (or the 
minibuffer/end-of-line) are red or orange text. However, Flymake notes 
are the default text color with a green wavey underline. Especially when 
they're side-by-side in the mode-line, the current visuals are 
surprising (not to mention hard to see in the default theme).

Personally, I think it'd be better for the "echo" faces for Flymake 
notes to just inherit from 'compilation-info'. They have almost 
identical uses as far as I can tell, and then things would look more 
consistent/readable. (In fact, we could even rename flymake-note to 
flymake-info, but maybe that ship has sailed.)